/* $Id: messages.h,v 1.2 2005/10/15 12:37:40 gsson Exp $ */

/*
 * Copyright (c) 2005 Henrik Gustafsson <henrik.gustafsson@fnord.se>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef _MESSAGES_H_
#define _MESSAGES_H_

#define MSG_SYSLOG 1
#define MSG_STDIO 0

void error(int syslog, int retval, const char *fmt, ...);
void warning(int syslog, const char *fmt, ...);
void info(int syslog, const char *fmt, ...);

void errorx(int syslog, int retval, const char *fmt, ...);
void warningx(int syslog, const char *fmt, ...);
void infox(int syslog, const char *fmt, ...);

#endif /*_MESSAGES_H_*/
